Service references
All operations require authentication.
List available frontend typesProduction
Path parameters
The internal name of your IP load balancing
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ availableFrontendType \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List available farm typesProduction
Path parameters
The internal name of your IP load balancing
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ availableFarmType \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List available farm probesProduction
Path parameters
The internal name of your IP load balancing
Response
List of possible probe result checkers for this type of probe
List of available HTTP method, if available
List of matches operators that accept the negate option for this type of probe
True is this probe type supports a custom port
Probe protocol name. See probe "type" field in the farm probe
True is this probe type supports a URL
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ availableFarmProbes \
-H "authorization: Bearer $OVH_TOKEN"[ { "matches": [ "string" ], "method": [ "string" ], "negatableMatches": [ "string" ], "port": true, "type": "string", "url": true }]
List available route match rulesProduction
Path parameters
The internal name of your IP load balancing
Response
If pattern is "enum", list of available options
If true, this rule needs a subfield. Typically a cookie or header name
List of match operators compatible with this rule
Rule name
Expected type for the pattern. Like "enum", "backend", "cidr", ...
Protocol supported by this action
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ availableRouteRules \
-H "authorization: Bearer $OVH_TOKEN"[ { "enum": [ "string" ], "hasSubField": true, "matches": [ "string" ], "name": "string", "pattern": "string", "type": "string" }]
List available route actionsProduction
Path parameters
The internal name of your IP load balancing
Response
Type of the destination for this action
Action name
List of available HTTP status code if applicable
Protocol supported by this action
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ availableRouteActions \
-H "authorization: Bearer $OVH_TOKEN"[ { "destination": "string", "name": "string", "status": [ 0 ], "type": "string" }]